
Redmine - Defect #4549

Repository: git / view all revision fails with branches

2010-01-11 20:34 - Philip Hofstetter

Status: Closed Start date: 2010-01-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.9.0

Description

while investigating options for #4547 I came across the fact that the "View all revisions" functionality

(RepositoriesController#revisions) blindly checks the changesets table and doesn't care about branches.

This leads to revisions of different branched being intermixed when using redmine with git repositories.

To fix this one, of the solutions provided in #4547 only always using git and never using the changesets table or adding

branches/parents to the changesets table would work.

Personally, I'd be tempted to just shell out and keep the changesets table empty in case of git.

Related issues:

Related to Redmine - Defect #7146: Git adapter lost commits before 7 days fro... Closed 2010-12-21

Related to Redmine - Defect #6013: git tab,browsing, very slow -- even after ... Closed 2010-08-02

History

#1 - 2010-01-12 20:26 - Adam Soltys

This was originally done intentionally so that we could have a mechanism to see a full chronological history/log of the entire repo.  I agree though, an

improvement would be to have a branches dropdown with an "All" option for those who want it.

#2 - 2010-01-12 20:32 - Adam Soltys

Oh I should mention -- I also considered abandoning redmine's changesets model in favour of just shelling out to git all the time, but doing so would

prevent us from linking commits to issues by referencing issue numbers in commit messages which is a pretty powerful feature of redmine that I didn't

want to lose.

Same goes for the repository "entries" model which comes into play when browsing the repository tree.  I wish we could just shell out to git for that too

instead of having to record all the file/filetype/size info in the database, but redmine's whole repository browser is built around this "SCM Agnostic"

model and I didn't have the time to engineer around that fact.

#3 - 2010-07-09 15:25 - Felix Schäfer

There has been some work done on the git adapter since 0.9.0, could you please check if your defect is resolved on current versions of redmine?

#4 - 2010-08-31 07:57 - Gergely Fábián

This defect seems to exist also in 1.0.1.

#5 - 2011-02-04 01:02 - Toshi MARUYAMA

- Status changed from New to Closed

From r2840 to r3394 in trunk and from 0.9.0 to 0.9.3(r3501) , Redmine reads all revisions in fetching.

But, after r3394 in trunk and after 0.9.3(r3501) , Redmine reads only one week revisions in fetching.

This is #7146 issue.

This issue affected version is 0.9.0 and it was fixed from 0.9.0 to 0.9.2.

So, I close this issue.
